# eric7.HelpViewer.HelpBookmarksImportDialog

Module implementing a dialog to enter the bookmarks import parameters.

### Global Attributes

None

### Classes

HelpBookmarksImportDialog | Class implementing a dialog to enter the bookmarks import parameters.

### Functions

None

## HelpBookmarksImportDialog

Class implementing a dialog to enter the bookmarks import parameters.

### Derived from

QDialog, Ui_HelpBookmarksImportDialog

### Class Attributes

None

### Class Methods

None

### Methods

HelpBookmarksImportDialog | Constructor
__updateOkButton | Private method to update the state of the OK button.
getData | Public method to retrieve the entered data.

### Static Methods

None

#### HelpBookmarksImportDialog (Constructor)

HelpBookmarksImportDialog(parent=None)

Constructor

parent (QWidget (optional))
  reference to the parent widget (defaults to None)

#### HelpBookmarksImportDialog.__updateOkButton

__updateOkButton()

Private method to update the state of the OK button.

#### HelpBookmarksImportDialog.getData

getData()

Public method to retrieve the entered data.

Return:
  tuple containing a flag indicating to replace the existing bookmarks and the path of the bookmarks file to be imported

Return Type:
  tuple of (bool, str)

Up